/**
 * This is not a production server yet!
 * This is only a minimal backend to get started.
 */

import { Logger } from "@nestjs/common";
import { NestFactory } from "@nestjs/core";

import { AppModule } from "./app/app.module";
import { MicroserviceOptions, Transport } from "@nestjs/microservices";
import { ConfigService } from "@nestjs/config";
import { IConnectionManagerConfig } from "@ocm-engine/config";
async function bootstrap() {
  const app = await NestFactory.create(AppModule);

  const configService = app.get(ConfigService);
  const cmConfig = configService.get<IConnectionManagerConfig>("cm")!;

  app.enableShutdownHooks();

  const microservice = app.connectMicroservice<MicroserviceOptions>({
    transport: Transport.TCP,
    options: {
      host: cmConfig.host,
      port: cmConfig.port,
    },
  });

  await app.startAllMicroservices();

  app.enableShutdownHooks();

  Logger.log("Application is running");
}

bootstrap();
