import { registerAs } from "@nestjs/config";
import * as process from "process";
import { IConnectionManagerConfig } from "../interfaces/connection.manager.config.interface";

export const cmConfig = registerAs(
  "cm",
  (): IConnectionManagerConfig => ({
    host: process.env["CONNECTION_SERVICE_HOST"]!,
    port: parseInt(process.env["CONNECTION_SERVICE_TCP_PORT"]!),
  }),
);
