export class SchemaNotCreatedError extends Error {
  constructor(message = "Failed to create schema") {
    super(message);
    this.name = "SchemaNotCreatedError";

    if (Error.captureStackTrace) {
      Error.captureStackTrace(this, SchemaNotCreatedError);
    }
  }
}
