import { Module } from "@nestjs/common";
import { LedgersService } from "./ledgers.service";
import { IdunionProvider } from "./idunion/idunion.provider";
import { BcovrinTestProvider } from "./bcovrin-test/bcovrin-test.provider";
import { ConfigModule } from "@nestjs/config";
import { DidgramTestProvider } from "./didgram-test/didgram-test.provider";

@Module({
  imports: [ConfigModule],
  controllers: [],
  providers: [
    LedgersService,
    IdunionProvider,
    BcovrinTestProvider,
    DidgramTestProvider,
  ],
  exports: [LedgersService],
})
export class LedgersModule {}
