import { registerAs } from "@nestjs/config";
import * as process from "process";
import { IAttestationManagerConfig } from "../interfaces/attestation.manager.config.interface";

export const pmConfig = registerAs(
  "pm",
  (): IAttestationManagerConfig => ({
    host: process.env["PROOF_SERVICE_HOST"]!,
    port: parseInt(process.env["PROOF_SERVICE_TCP_PORT"]!),
  }),
);
