import { IsNotEmpty, IsString } from "class-validator";

export class CreateCredentialDefinitionResponseDto {
  @IsNotEmpty()
  @IsString()
  credentialDefinitionId: string;

  @IsNotEmpty()
  @IsString()
  schemaId: string;

  @IsNotEmpty()
  @IsString()
  isserId: string;

  @IsNotEmpty()
  @IsString()
  tag: string;
}
