import { IsDateString, IsNotEmpty, IsString } from "class-validator";

export class IssueProofResponseDto {
  @IsString()
  @IsNotEmpty()
  proofId: string;

  //@example 6464b521-005a-4379-91e0-a3692b31cafd
  @IsString()
  connectionId?: string;

  @IsString()
  @IsNotEmpty()
  state: string;

  @IsDateString()
  updatedAt?: Date;

  @IsNotEmpty()
  @IsDateString()
  createdAt: Date;
}
